;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1


;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "hold_a";Required (do not remove)
command = /a
time = 1

[Command]
name = "hold_b";Required (do not remove)
command = /b

time = 1
[Command]
name = "hold_c";Required (do not remove)
command = /c
time = 1

[Command]
name = "hold_x";Required (do not remove)
command = /x
time = 1

[Command]
name = "hold_y";Required (do not remove)
command = /y
time = 1

[Command]
name = "hold_z";Required (do not remove)
command = /z
time = 1

[Command]
name = "hold_s";Required (do not remove)
command = /s
time = 1


;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1
;;;------------AI-----------------------
[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "s2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "hold_a2"
command = /a
time = 1

[Command]
name = "hold_b2"
command = /b
time = 1

[Command]
name = "hold_c2"
command = /c
time = 1

[Command]
name = "hold_x2"
command = /x
time = 1

[Command]
name = "hold_y2"
command = /y
time = 1

[Command]
name = "hold_z2"
command = /z
time = 1

[Command]
name = "hold_s2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1




;-| Super Motions |--------------------------------------------------------

[Command]
name = "beam"
command = ~D, F, D, F, y
time = 25

[Command]
name = "extinct"
command = ~D, F, D, F, b
time = 25

[Command]
name = "super"
command = ~D, B, F, b
time = 20

;-| Special Motions |------------------------------------------------------

[Command]
name = "choco"
command = ~D, B, F, y
time = 20


[Command]
name = "shoryuken"
command = ~F, D, DF, x
time = 15

[Command]
name = "shoryuken2"
command = ~F, D, DF, y
time = 15

[Command]
name = "hadouken"
command = ~D, DF, F, x
time = 15

[Command]
name = "hadouken2"
command = ~D, DF, F, y
time = 15

[Command]
name = "appendage"
command = ~D, D, x
time = 15

[Command]
name = "appendage2"
command = ~D, D, y
time = 15

[Command]
name = "dkick"
command = ~D, D, a
time = 15

[Command]
name = "dkick"
command = ~D, D, b
time = 15


;[Command]
;name = "tatsumaki"
;command = ~D, B, a
;time = 20

;[Command]
;name = "tatsumaki2"
;command = ~D, B, b
;time = 20

[Command]
name = "attack2"
command = ~D, DF, F, a
time = 20

[Command]
name = "attack"
command = ~D, DF, F, b
time = 20

[Command]
name = "combo"
command = ~D, B, x
time = 25

[Command]
name = "combo2"
command = ~D, B, y
time = 25

[command]
name = "slashdown"
command = ~F, D, a
time = 20

[command]
name = "slashdown2"
command = ~F, D, b
time = 20


[Command]
name = "RA"
command = ~D, B, a

[Command]
name = "RA2"
command = ~D, B, b


[Command]
name = "scream"
command = ~B, D , DB, y
time = 15


[Command]
name = "dash_x"
command = ~F, F, x

[Command]
name = "dash_y"
command = ~F, F, y

[Command]
name = "dash_a"
command = ~F, F, a

[Command]
name = "dash_b"
command = ~F, F, b

[Command]
name = "counter"
command = x+a
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10


;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "holddiagfwd";Required (do not remove)
command = /$F+D
time = 1


[Command]
name = "longjump"
command = ~D, $U
time = 11

;---------------------------------------------------------------------------
; 2. State entry
; --------------
[Statedef -1]
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741
;=============================KEZ========================================
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------

; 储
[State -1,]
type = ChangeState
value = 3000
triggerall = var(59) <= 0
triggerall = command = "super"
triggerall = power >= 3000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 101
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

; ZWjAA^bN
[State -1,]
type = ChangeState
value = 3100
triggerall = var(59) <= 0
triggerall = command = "extinct"
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 101
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

; fXr[
[State -1,]
type = ChangeState
value = 3200
triggerall = var(59) <= 0
triggerall = command = "beam"
triggerall = power >= 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 101
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

; 󒆒߂͂ߔg
[State -1,]
type = ChangeState
value = 3260
triggerall = var(59) <= 0
triggerall = command = "beam"
triggerall = power >= 1000
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = 600 || stateno = 601) && (movecontact)
trigger3 = (stateno = 650 || stateno = 651) && (movecontact)
trigger4 = (stateno = 610 || stateno = 620) && (movecontact)
trigger5 = (stateno = 660 || stateno = 661) && (movecontact)



; fXr[
[State -1,]
type = ChangeState
value = 2900
triggerall = var(59) <= 0
triggerall = command = "choco"
triggerall = power >= 300
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 101
trigger2 = animelem = 1, >= 1


;---------------------------------------------------------------------------

     ; eIX}bV
[State -1,]
type = ChangeState
value = 2500
triggerall = var(59) <= 0
triggerall = power >= 500
;triggerall = var(25) = 0
triggerall = command = "scream"
trigger1 = ctrl
trigger1 = statetype != A
;---------------------------------------------------------------------------
; Strong Rolling Attack
[State -1, Strong Rolling Attack]
type = ChangeState
value = 2100
triggerall = var(59) <= 0
triggerall = command = "RA2"
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]


; Strong Rolling Attack
[State -1, Strong Rolling Attack]
type = ChangeState
value = 2120
triggerall = var(59) <= 0
triggerall = command = "RA"
triggerall = StateType != A
trigger1 = ctrl
trigger2 = MoveContact
trigger2 = Stateno = [200, 250]
trigger3 = MoveContact
trigger3 = Stateno = [400, 450]
trigger4 = Var(10) != 0
trigger4 = Stateno = [200, 450]

; Strong Air Rolling Attack
[State -1, Strong Air Rolling Attack]
type = ChangeState
value = 2150
triggerall = var(59) <= 0
triggerall = command = "RA2"
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact
trigger2 = Stateno = [600, 699]
trigger3 = Var(10) != 0
trigger3 =  Stateno = 2125


; Strong Air Rolling Attack
[State -1, Strong Air Rolling Attack]
type = ChangeState
value = 2170
triggerall = var(59) <= 0
triggerall = command = "RA"
triggerall = StateType = A
trigger1 = ctrl
trigger2 = MoveContact
trigger2 = Stateno = [600, 699]
trigger3 = Var(10) != 0
trigger3 =  Stateno = 2125



; p[tFNgA^bNij
[State -1]
type = ChangeState
value = 2200
triggerall = var(59) <= 0
triggerall = command = "attack2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

; p[tFNgA^bNij
[State -1]
type = ChangeState
value = 2210
triggerall = var(59) <= 0
triggerall = command = "attack"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

;---------------------------------------------------------------------------

;----------------p[tFNgRrl[Vij
[State -1, ]
type = ChangeState
value = 2300
triggerall = var(59) <= 0
triggerall = (command = "combo2")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 470 && MoveContact

;--------------p[tFNgRrl[Vij
[State -1, ]
type = ChangeState
value = 2350
triggerall = var(59) <= 0
triggerall = (command = "combo")
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1


;---------------------------------------------------------------------------
; GlM[tB[hij
[State -1]
type = ChangeState
value = 2600
triggerall = var(59) <= 0
triggerall = command = "dkick"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1
trigger13 = stateno = 910 && movecontact
trigger14 = stateno = 5120

; GlM[tB[hij
[State -1]
type = ChangeState
value = 2410
triggerall = var(59) <= 0
triggerall = command = "appendage2"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1
trigger13 = stateno = 910 && movecontact
trigger14 = stateno = 5120

; GlM[tB[hij
[State -1]
type = ChangeState
value = 2400
triggerall = var(59) <= 0
triggerall = command = "appendage"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1
trigger13 = stateno = 910 && movecontact
trigger14 = stateno = 5120


; ߂͂ߔgij
[State -1]
type = ChangeState
value = 2010
triggerall = var(59) <= 0
triggerall = command = "hadouken"
triggerall = power >= 100
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

; ߂͂ߔgij
[State -1]
type = ChangeState
value = 2000
triggerall = var(59) <= 0
triggerall = command = "hadouken2"
triggerall = power >= 100
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 52 || stateno = 100
trigger2 = animelem = 1, >= 1
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact
trigger5 = stateno = 271 && movecontact
trigger6 = stateno = 250 && movecontact
trigger7 = stateno = 210 && movecontact
trigger8 = stateno = 220 && movecontact
trigger9 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1
trigger10 = stateno = 270 && movecontact
trigger11 = (stateno = 400 || stateno = 450) && (movecontact)
trigger12 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1

;---------------------------------------------------------------------------

; 󒆂߂͂ߔgij
[State -1,]
type = ChangeState
value = 2060
triggerall = var(59) <= 0
triggerall = command = "hadouken"
triggerall = power >= 100
triggerall = numproj = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = 600 || stateno = 601) && (movecontact)
trigger3 = (stateno = 650 || stateno = 651) && (movecontact)
trigger4 = (stateno = 610 || stateno = 620) && (movecontact)
trigger5 = (stateno = 660 || stateno = 661) && (movecontact)

; 󒆂߂͂ߔgij
[State -1,]
type = ChangeState
value = 2050
triggerall = var(59) <= 0
triggerall = command = "hadouken2"
triggerall = power >= 100
triggerall = numproj = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = (stateno = 600 || stateno = 601) && (movecontact)
trigger3 = (stateno = 650 || stateno = 651) && (movecontact)
trigger4 = (stateno = 610 || stateno = 620) && (movecontact)
trigger5 = (stateno = 660 || stateno = 661) && (movecontact)

;---------------------------------------------------------------------------


;---------------------------------------------------------------------------
;============================Z=========================================
;---------------------------------------------------------------------------

;_bV
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59) <= 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;obNXebv
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(59) <= 0
trigger1 = (command = "BB") && (statetype = S) && (ctrl)

;---------------------------------------------------------------------------
;󒆃_bV
[State -1, Fwd]
type = ChangeState
value = 110
triggerall = var(59) <= 0
trigger1 = (command = "FF") && (statetype = A) && (ctrl)

;---------------------------------------------------------------------------
;󒆃obN_bV
[State -1, Back]
type = ChangeState
value = 112
triggerall = var(59) <= 0
triggerall = vel x <= 0
trigger1 = (command = "BB") && (statetype = A) && (ctrl)

;---------------------------------------------------------------------------
; 
[State -1]
type = ChangeState
value = 195
triggerall = var(59) <= 0
trigger1 = command = "s"
trigger1 = Vel X = 0
trigger1 = stateno != 195
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; ciJE^[j
[State -1]
type = ChangeState
value = 700
triggerall = var(59) <= 0
triggerall = command = "counter" ^^ command = "z"
trigger1 = (stateno = 150 || stateno = 151) && power >= 1000
trigger2 = (stateno = 152 || stateno = 153) && power >= 1000

;---------------------------------------------------------------------------
; ړ ()
[State -1]
type = ChangeState
value = 1000
triggerall = var(59) <= 0
triggerall = command = "counter" ^^ command = "z"
triggerall = command = "holdback"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 101
trigger4 = stateno = 102

;---------------------------------------------------------------------------
; ړ (O)
[State -1]
type = ChangeState
value = 1001
triggerall = var(59) <= 0
triggerall = command = "counter" ^^ command = "z"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;_bVړ (O)
[State -1]
type = ChangeState
value = 1001
triggerall = var(59) <= 0
triggerall = stateno = 100 || stateno = 101 || stateno = 102
triggerall = ctrl = 0
trigger1 = command = "hold_x" && command = "hold_a"
trigger2 = command = "hold_z"
trigger3 = command = "hold_c"

;---------------------------------------------------------------------------
; C͗
[State -1]
type = ChangeState
value = 4500
triggerall = var(59) <= 0
triggerall = statetype = S
triggerall = Power < 3000
triggerall = ctrl = 1
trigger1 = command = "hold_b" && command = "hold_y"
trigger2 = command = "hold_c"

;---------------------------------------------------------------------------
;
;[State -1, ]
;type = ChangeState
;value = 805
;triggerall = (command = "holdfwd" || command = "holdback") && (command = "y")
;trigger1 = (Stateno = 801) && (AnimElemTime(3) >= 0 && AnimElemTime(4) < 0)
;---------------------------------------------------------------------------
;
[State -1, ]
type = ChangeState
value = 800
triggerall = var(59) <= 0
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = (command = "holdfwd" || command = "holdback") && (command = "y") && (P2BodyDist X <= 10) && (P2Movetype != H) && (p2statetype != A)
trigger1 = (ctrl) && (p2statetype = C) || (ctrl) && (p2statetype = S)


;---------------------------------------------------------------------------
;=======================_bVU========================================
;---------------------------------------------------------------------------

;_bVp`
[State -1, ]
type = ChangeState
value = 900
triggerall = var(59) <= 0
triggerall = stateno = 101
trigger1 = command = "hold_x"

;XCfBOLbN
[State -1, ]
type = ChangeState
value = 910
triggerall = var(59) <= 0
triggerall = stateno = 101
trigger1 = command = "hold_a"

;_bVU
[State -1, ]
type = ChangeState
value = 920
triggerall = var(59) <= 0
triggerall = stateno = 101
trigger1 = command = "hold_y"

;OAr
[State -1, ]
type = ChangeState
value = 930
triggerall = var(59) <= 0
triggerall = stateno = 101
trigger1 = command = "hold_b"

;---------------------------------------------------------------------------
;============================ʏZ=========================================
;---------------------------------------------------------------------------

;LbNiߋj 
[State -1, ]
type = ChangeState
value = 260
triggerall = var(59) <= 0
triggerall = (command = "b") && (command != "holddown") && (P2BodyDist X <= 15)
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 200 && MoveContact
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 271 && movecontact
trigger5 = stateno = 250 && movecontact
trigger6 = stateno = 210 && movecontact
trigger7 = stateno = 220 && movecontact
;---------------------------------------------------------------------------
;LbN
[State -1, ]
type = ChangeState
value = 270
triggerall = var(59) <= 0
triggerall = (command = "b") && (command != "holddown")
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 200 && MoveContact
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 271 && movecontact
trigger5 = stateno = 250 && movecontact
trigger6 = stateno = 210 && movecontact
trigger7 = stateno = 220 && movecontact
trigger8 = stateno = 260 && movecontact && AnimElem = 9, >= 1 && AnimElem = 10, <= 1

;---------------------------------------------------------------------------

;LbNiߋj
[State -1, ]
type = ChangeState
value = 271
triggerall = var(59) <= 0
triggerall = (command = "a") && (command != "holddown") && (P2BodyDist X <= 15)
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 200 && MoveContact
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 271 && movecontact

;---------------------------------------------------------------------------
;LbN
[State -1, ]
type = ChangeState
value = 250
triggerall = var(59) <= 0
triggerall = (command = "a") && (command != "holddown")
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 200 && MoveContact
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 271 && movecontact
trigger5 = stateno = 250 && movecontact

;---------------------------------------------------------------------------

;p`iߋj
[State -1, ]
type = ChangeState
value = 210
triggerall = var(59) <= 0
triggerall = (command = "y") && (command != "holddown") && (P2BodyDist X <= 15)
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 200 && MoveContact
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 271 && movecontact
trigger5 = stateno = 250 && movecontact
trigger6 = stateno = 2300 && movecontact
;---------------------------------------------------------------------------
;p`
[State -1, ]
type = ChangeState
value = 220
triggerall = var(59) <= 0
triggerall = (command = "y") && (command != "holddown")
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 200 && MoveContact
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 271 && movecontact
trigger5 = stateno = 250 && movecontact
trigger6 = stateno = 210 && movecontact
trigger7 = stateno = 2300 && movecontact

;---------------------------------------------------------------------------

;p`iߋj
[State -1, ]
type = ChangeState
value = 211
triggerall = var(59) <= 0
triggerall = (command = "x") && (command != "holddown") && (P2BodyDist X <= 15)
trigger1 = (ctrl) && (statetype = S)
trigger2 = stateno = 2300 && movecontact
;---------------------------------------------------------------------------
;p`
[State -1, ]
type = ChangeState
value = 200
triggerall = var(59) <= 0
triggerall = (command = "x") && (command != "holddown")
trigger1 = (ctrl) && (statetype = S)
trigger2 = (stateno = 200) && (AnimElem = 2,>4 || MoveContact)
trigger3 = stateno = 211 && MoveContact
trigger4 = stateno = 2300 && movecontact

;---------------------------------------------------------------------------
;U
[State -1, ]
type = ChangeState
value = 420
triggerall = var(59) <= 0
triggerall = (command = "y") && (command = "holddiagfwd")
trigger1 = (ctrl) && (statetype = C)
trigger2 = (stateno = 400 || stateno = 450) && (movecontact)
trigger3 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1
trigger4 = stateno = 200 && MoveContact
trigger5 = stateno = 211 && MoveContact
trigger6 = stateno = 271 && movecontact
trigger7 = stateno = 250 && movecontact
trigger8 = stateno = 210 && movecontact

;;;;;;;;;;;;;-------------------------------------------------------------
;---------------------------------------------------------------------------
;U
[State -1, ]
type = ChangeState
value = 470
triggerall = var(59) <= 0
triggerall = (command = "a") && (command = "holddiagfwd")
trigger1 = (ctrl) && (statetype = C)


;---------------------------------------------------------------------------
;============================Ⴊ=========================================
;---------------------------------------------------------------------------

;݋LbN
[State -1, ]
type = ChangeState
value = 460
triggerall = var(59) <= 0
triggerall = (command = "b") && (command = "holddown")
trigger1 = (ctrl) && (statetype = C)
trigger2 = (stateno = 400 || stateno = 450) && (movecontact)
trigger3 = stateno = 410 && movecontact && AnimElem = 4, >= 1 && AnimElem = 6, <= 1
;---------------------------------------------------------------------------
;ݎLbN
[State -1, ]
type = ChangeState
value = 450
triggerall = var(59) <= 0
triggerall = (command = "a") && (command = "holddown")
trigger1 = (ctrl) && (statetype = C)
trigger2 = (stateno = 400) && (MoveContact)
trigger3 = (stateno = 450) && (AnimElem = 2,>5 || MoveContact)
trigger4 = stateno = 200 && MoveContact
trigger5 = stateno = 211 && MoveContact
trigger6 = stateno = 271 && movecontact
trigger7 = stateno = 250 && movecontact

;---------------------------------------------------------------------------
;݋p`
[State -1, ]
type = ChangeState
value = 410
triggerall = var(59) <= 0
triggerall = (command = "y") && (command = "holddown")
trigger1 = (ctrl) && (statetype = C)
trigger2 = (stateno = 400 || stateno = 450) && (movecontact)
trigger3 = (stateno = 200 || stateno = 211) && (movecontact)
trigger4 = (stateno = 250 || stateno = 271) && (movecontact)

;---------------------------------------------------------------------------
;ݎp`
[State -1, ]
type = ChangeState
value = 400
triggerall = var(59) <= 0
triggerall = (command = "x") && (command = "holddown")
trigger1 = (ctrl) && (statetype = C)
trigger2 = (stateno = 400) && (AnimElem = 2,>5 || MoveContact)
trigger3 = stateno = 200 && MoveContact
trigger4 = stateno = 211 && MoveContact


;---------------------------------------------------------------------------
;============================󒆋Z=========================================
;---------------------------------------------------------------------------

;WvLbN
[State -1, ]
type = ChangeState
value = 660
triggerall = var(59) <= 0
triggerall = (command = "b")
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno = 600 || stateno = 601) && (movecontact)
trigger3 = (stateno = 650 || stateno = 651) && (movecontact)
trigger4 = (stateno = 610 || stateno = 620) && (movecontact)
;---------------------------------------------------------------------------
;WvLbN
[State -1, ]
type = ChangeState
value = 651
triggerall = var(59) <= 0
triggerall = (command = "a") && (Vel X != 0)
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno = 601) && (movecontact)
;---------------------------------------------------------------------------
;WvLbN
[State -1, ]
type = ChangeState
value = 650
triggerall = var(59) <= 0
triggerall = (command = "a") && (Vel X = 0)
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno = 600) && (movecontact)
;---------------------------------------------------------------------------
;Wvp`
[State -1, ]
type = ChangeState
value = 620
triggerall = var(59) <= 0
triggerall = (command = "y") && (Vel X != 0)
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno = 601 || stateno = 651) && (movecontact)
;---------------------------------------------------------------------------
;Wvp`
[State -1, ]
type = ChangeState
value = 610
triggerall = var(59) <= 0
triggerall = (command = "y") && (Vel X = 0)
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno = 600 || stateno = 650) && (movecontact)
;---------------------------------------------------------------------------
;Wvp`
[State -1, ]
type = ChangeState
value = 600
triggerall = var(59) <= 0
triggerall = (command = "x") && (Vel X = 0)
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno =600) && (AnimElem = 2,>4) && (movecontact)
;---------------------------------------------------------------------------
;Wvp`
[State -1, ]
type = ChangeState
value = 601
triggerall = var(59) <= 0
triggerall = (command = "x")
trigger1 = (ctrl) && (statetype = A)
trigger2 = (stateno =601) && (AnimElem = 2,>4) && (movecontact)

;;;;;-----------------------------------------------------------------------
;AI
;;;;;-----------------------------------------------------------------------
[State -3]
type = VarRandom
trigger1 = 1
v = 56
range = 0,100

[State -3]
type = VarRandom
trigger1 = 1
v = 57
range = 0,100

[State -3]
type = VarRandom
trigger1 = 1
v = 58
range = 0,100
;;-------------------------------------------------------------------------
[State -3]
type = ChangeState
value = 700
triggerall = var(59) >= 1
Triggerall = StateType != A
Triggerall = power >= 1000
triggerall = stateno != 700
triggerall = Random < 300 || power >= 3000
trigger1 = (stateno = 150 || stateno = 151)
trigger2 = (stateno = 152 || stateno = 153)


[State -3, zanzou]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
Triggerall = Ctrl || stateno = 4501
trigger1 = inguarddist
trigger1 = p2bodydist X >= 90
value = 1001

[State -3]
Type     = ChangeState
Triggerall = var(59) >= 1
Triggerall = StateType != A
triggerall = Ctrl || stateno = 4501
trigger1 = inguarddist
trigger1 = p2StateType = A
Value    = 130


[State -3]
Type     = ChangeState
Triggerall = var(59) >= 1
Triggerall = StateType != A
triggerall = Ctrl || stateno = 4501
trigger1 = inguarddist
trigger1 = p2StateType != A
Value    = 131


[State -3]
Type     = ChangeState
Triggerall = var(59) >= 1
Triggerall = StateType = A
Triggerall = Ctrl
Trigger1 = inguarddist
Value    = 132
;;;-----------------------------------------------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = power >= 2000
trigger1 = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
trigger1 = Random < 400
trigger1 = p2bodydist X >= 31
trigger1 = p2statetype = A
trigger1 = p2movetype = A
value = 3100


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = power >= 1000
triggerall = stateno != 3200
trigger1 = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
trigger1 = Random < 50
trigger1 = p2bodydist X >= 31
trigger1 = p2statetype = S
value = 3200

;[State -3, obNXebv]
;type = ChangeState
;triggerall = var(59) >= 1
;triggerall = StateType != A
;triggerall = Ctrl || (stateno = [100,101])
;trigger1 = p2bodydist X = [-10,80]
;trigger1 = p2statetype = L
;value = 105

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType = A
triggerall = RoundState = 2
triggerall = power >= 1000
triggerall = Random < 500
trigger1 = (stateno = 105) && AnimElem >= 4
trigger1 = p2bodydist Y = [-30,30]
value = 3260


;;;;------------------------------------------------------------------

;;;;------------------------------------------------------------------

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = power >= 3000
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
triggerall = P2BodyDist X = [-10,150]
triggerall = p2Movetype = H
trigger1 = PrevStateNo = 2201
value = 3000

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = power >= 3000
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
triggerall = P2BodyDist X = [-10,150]
triggerall = p2Movetype = H
trigger1 = movecontact && (stateno = 2410) && animelem = 7
trigger2 = movecontact && (stateno = 2400) && animelem = 7
value = 3000


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = power >= 1000
triggerall = stateno != 3200
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
triggerall = P2BodyDist X = [-10,100]
triggerall = p2Movetype = H
triggerall = Random > 900
trigger1 = PrevStateNo = 2201
value = 3200


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = power >= 1000
triggerall = stateno != 3200
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
triggerall = p2Movetype = H
triggerall = Random < 100
trigger1 = movecontact && (stateno = 2410) && animelem = 7
trigger2 = movecontact && (stateno = 2400) && animelem = 7
value = 3200


[State -3, fXr[]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = power >= 300
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = p2bodydist Y >= -70+vel y*6+enemynear,vel y*6
triggerall = p2bodydist X >= 140+vel x*6-enemynear,vel x*6
triggerall = !inguarddist
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
triggerall = p2statetype = S
trigger1 = random<120
value = 2900

;;----------------------------------------------------------------------
;;;----------------------------------------------------------------------------
[State -1,MbNC]
type = ChangeState
value = 2500
triggerall = var(59) >= 1
;triggerall = var(25) = 0
triggerall = enemy, numproj > 0
triggerall = power >= 500
trigger1 = p2bodydist X > 100 || p2bodydist Y < -80
trigger1 = var(58) = [0,75]
trigger1 = (statetype != A) && (ctrl)

;CWOA^bN
[State -1,]
type = ChangeState
value = 2100
triggerall = var(59) >= 1
trigger1 = random <= 200
trigger1 = (statetype != A)  && CTRL
trigger1 = (enemynear,movetype = H) || (enemynear,movetype = A)
trigger1 = enemynear,statetype = A
trigger1 = p2bodydist x = [0,50]
trigger1 = p2bodydist Y <= -50
trigger2 = stateno = 260
trigger2 = movehit
trigger2 = var(58) = [0,9]
trigger3 = stateno = 420
trigger3 = movehit
trigger3 = var(58) = [0,2]
trigger4 = stateno=460
trigger4 = movecontact
trigger4 = var(58) = [0,9]

;CWOA^bN
[State -1,]
type = ChangeState
value = 2120
triggerall = var(59) >= 1
trigger1 = random <= 20
trigger1 = (statetype != A)  && CTRL
trigger1 = (enemynear,movetype = H) || (enemynear,movetype = A)
trigger1 = p2bodydist x = [0,220]
trigger1 = p2bodydist Y > -50
trigger2 = stateno = 270
trigger2 = movehit
trigger2 = var(58) = [0,39]
trigger3 = stateno = 420
trigger3 = movehit
trigger3 = var(58) = [0,4]
trigger4 = stateno=460
trigger4 = movecontact
trigger4 = var(58) = [10,19]
trigger5 = enemy, numproj > 0
trigger5 = var(58) = [10,19]
trigger5 = (statetype != A) && (ctrl)


; XbV_ELbN()
[State -1,]
type = ChangeState
value = 2150
triggerall = var(59) >= 1
triggerall = roundstate = 2
triggerall = statetype = A
triggerall = p2bodydist Y >= -20
trigger1 = movecontact && (stateno = 660)
trigger2 = movecontact && (stateno = 620)
trigger2 = var(58) = [40,89]


; XbV_ELbN()
[State -1,]
type = ChangeState
value = 2170
triggerall = var(59) >= 1
triggerall = roundstate = 2
triggerall = statetype = A
triggerall = p2bodydist Y < -20
trigger1 = movecontact && (stateno = 660)
trigger2 = movecontact && (stateno = 620)
trigger2 = var(58) = [40,89]
trigger3 = enemy, numproj > 0
trigger3 = var(58) = [10,19]
trigger3 = ctrl

; XbV_ELbN()
[State -1,]
type = ChangeState
value = 2600
triggerall = var(59) >= 1
triggerall = roundstate = 2
triggerall = statetype != A
trigger1 = movecontact && (stateno = 420)
trigger1 = var(58) = [90,94]
trigger2 = enemy, movetype = H
trigger2 = enemy, pos Y = 0
trigger2 = enemy, statetype != L
trigger2 = var(58) = [10,19]
trigger2 = ctrl






[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = Ctrl || (stateno = [100,101])
trigger1 = P2BodyDist X = [-10,100]
trigger1 = p2Movetype = H
trigger1 = PrevStateNo = 2201
trigger1 = Random < 600
value = 40

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
trigger1 = P2BodyDist X = [-10,100]
trigger1 = p2Movetype = H
trigger1 = PrevStateNo = 2201
trigger1 = random <200
value = 2350

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2StateType != L
triggerall = p2bodydist X >= 30
triggerall = Stateno != 100
triggerall = ctrl
trigger1 = P2Movetype = H
trigger2 = p2stateno = [120,159]
value = 100
;;;;------------------------------------------------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A  && statetype != L
triggerall = !movecontact && stateno != 470
triggerall = p2movetype != H
triggerall = Ctrl
trigger1 = stateno != 470
trigger1 = (enemynear,ctrl)
trigger1 = random<25
value = 470

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A  && statetype != L
triggerall = stateno != 2300
triggerall = Ctrl
trigger1 = stateno != 2300
trigger1 = (enemynear,ctrl)
trigger1 = random<25
value = 2300

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A  && statetype != L
triggerall = stateno != 2200
triggerall = Ctrl
trigger1 = stateno != 2200
trigger1 = (enemynear,ctrl)
trigger1 = random<10
value = 2200

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A  && statetype != L
triggerall = Ctrl
trigger1 = stateno != 2400
trigger1 = (enemynear,ctrl)
trigger1 = random<10
value = 2410


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
trigger1 = movecontact && (stateno = 470)
trigger2 = movecontact && (stateno = 900)
value = 2300

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,15]
trigger1 = Random >= 800
trigger1 = movecontact && (stateno = 2300)
value = 200

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,15]
triggerall = Random <800
trigger1 = movecontact && (stateno = 2300)
value = 210


;;;-------------------------------------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,75]
triggerall = var(57) = [40,70]
trigger1 = movecontact && (stateno = 220)
trigger2 = movecontact && (stateno = 450)
value = 2350

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,75]
triggerall = P2movetype != A
triggerall = var(57) = [80,100]
trigger1 = movecontact && (stateno = 220)
trigger2 = movecontact && (stateno = 450)
value = 2200

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,75]
triggerall = var(57) = [70,80]
trigger1 = movecontact && (stateno = 220)
trigger2 = movecontact && (stateno = 450)
value = 2210


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,75]
triggerall = var(57) = [20,40]
trigger1 = movecontact && (stateno = 220)
trigger2 = movecontact && (stateno = 450)
value = 2400


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2bodydist X = [-5,75]
triggerall = var(57) = [0,20]
trigger1 = movecontact && (stateno = 220)
trigger2 = movecontact && (stateno = 450)
value = 2410





;;-----------------------------------------------------------------------------

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType = A
triggerall = stateno != 3260
trigger1 = power >= 1000
trigger1 = (enemynear,ctrl)
trigger1 = p2bodydist Y = [-30,30]
trigger1 = random<15
trigger1 = ctrl
value = 3260


;======================================================================
;Running attacks
;======================================================================

[State -1]
type = ChangeState
value = 900
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = stateno = 101
triggerall = P2Movetype != A
Triggerall = !inguarddist
trigger1 = p2bodydist X = [0,110]
trigger1 = var(57) = [0,35]

[State -1]
type = ChangeState
value = 910
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = stateno = 101
triggerall = P2Movetype != A
Triggerall = !inguarddist
trigger1 = p2bodydist X = [-10,70]
trigger1 = var(57) = [65,85]

[State -1]
type = ChangeState
value = 920
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = stateno = 101
triggerall = P2Movetype != A
Triggerall = !inguarddist
trigger1 = p2bodydist X = [-10,70]
trigger1 = var(57) = [35,65]

[State -1]
type = ChangeState
value = 930
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = stateno = 101
triggerall = P2Movetype != A
Triggerall = !inguarddist
trigger1 = p2bodydist X = [-10,70]
trigger1 = var(57) = [85,100]

;;;-------------------------------------------------------------------------

;---------------------------------------------------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2Movetype != H
triggerall = p2statetype != L
triggerall = p2bodydist X >= 60
triggerall = Stateno != 100
triggerall = ctrl
trigger1 = Random < 100
trigger2 = PrevStateNo = 2000
trigger3 = PrevStateNo = 2010
value = 100

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = P2Movetype = H
triggerall = p2statetype != L
triggerall = p2bodydist X >= 60
triggerall = Stateno != 100
triggerall = ctrl
trigger1 = PrevStateNo = 2900
value = 100


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2Movetype != H
triggerall = Ctrl || (stateno = [100,101])
trigger1 = p2bodydist X >= 90
trigger1 = random<25
value = 1001

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2Movetype != H
triggerall = Ctrl || (stateno = [100,101])
trigger1 = p2bodydist X <= 140
trigger1 = random<25
value = 1000

[State -3, C͗]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType = S
triggerall = RoundState = [1,2]
triggerall = Power < 3000
triggerall = enemynear,Movetype != A
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = p2bodydist X > 170-(enemynear,statetype = L)*50
triggerall = stateno != 4500
triggerall = Ctrl
trigger1 = (var(58) = [70,100])
trigger2 = power < 2000
trigger2 = P2statetype = L
value = 4500


;;;;;;-----------------------------------------------------------
;Punch Combo
;;-----------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = p2bodydist X = [-10,15]
triggerall = var(57) = [0,80]
triggerall = movecontact
trigger1 = stateno = 211
trigger2 = stateno = 400
trigger3 = stateno = 900
Trigger3 = animelem = 6
trigger4 = stateno = 910
value = 271


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2BodyDist X = [15,40]
triggerall = var(57) = [0,50]
trigger1 = movecontact && (stateno = 211)
trigger2 = movecontact && (stateno = 400)
trigger3 = movecontact && (stateno = 900) && animelem = 6
trigger4 = movecontact && (stateno = 910)
value = 250

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = p2bodydist X = [-10,30]
triggerall = var(57) = [80,100]
trigger1 = movecontact && (stateno = 211)
trigger2 = movecontact && (stateno = 400)
trigger3 = movecontact && (stateno = 900) && animelem = 6
trigger4 = movecontact && (stateno = 910)
value = 450

;=============================================
;ComboPart 2
;=============================================
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = p2bodydist X = [-10,40]
triggerall = var(57) = [0,70]
triggerall = p2stateType != C
trigger1 = movecontact && (stateno = 271)
trigger2 = movecontact && (stateno = 250)
trigger3 = movecontact && (stateno = 450)
value = 210

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = p2bodydist X = [-10,60]
triggerall = var(57) = [71,80]
trigger1 = movecontact && (stateno = 271)
trigger2 = movecontact && (stateno = 250)
trigger3 = movecontact && (stateno = 450)
value = 260

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = p2bodydist X = [-10,60]
triggerall = var(57) = [81,100]
trigger1 = movecontact && (stateno = 271)
trigger2 = movecontact && (stateno = 250)
trigger3 = movecontact && (stateno = 450)
value = 410

;;;--------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = p2bodydist X = [-10,60]
trigger1 = movecontact && (stateno = 210)
value = 220
;-------------------------------------------------------------------------
;;;;;;;;Openers

;;------------------------------------------------------------------------


[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = P2BodyDist X = [-10,15]
triggerall = Ctrl = 1
triggerall = P2Movetype != H
trigger1 = Random < 300
trigger2 = p2stateno = [120,159]
value = 800

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = P2bodydist X = [-5,60]
triggerall = Ctrl
trigger1 = Random < 700
value = 470

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = P2bodydist X = [-5,15]
triggerall = Ctrl
trigger1 = Random < 400
value = 211

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = P2bodydist X = [-5,15]
triggerall = Ctrl
trigger1 = Random < 200
value = 210

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = P2bodydist X = [-5,15]
triggerall = Ctrl
trigger1 = Random < 100
value = 260

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = p2bodydist X = [-5,38]
triggerall = Ctrl
trigger1 = Random < 400
value = 400

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = p2bodydist X = [-5,50]
triggerall = Ctrl
trigger1 = Random < 200
value = 450

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = p2bodydist X = [35,65]
triggerall = Ctrl
trigger1 = Random < 100
value = 220

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = p2bodydist X = [45,85]
triggerall = Ctrl
trigger1 = Random < 100
value = 270

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = PrevStateNo != 2201
triggerall = p2bodydist X = [65,90]
triggerall = Ctrl
trigger1 = Random < 100
value = 270

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = p2statetype != L
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = p2bodydist X >=  90+vel x*4-enemynear,vel x*4
triggerall = p2bodydist Y >= -80+vel y*4+enemynear,vel y*4
triggerall = numproj = 0
triggerall = power >= 100
triggerall = !inguarddist
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
trigger1 = random<50
Trigger1 = p2statetype = S
value = 2010

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = P2Movetype != H
triggerall = P2Movetype != A
Triggerall = !inguarddist
triggerall = p2statetype != L
triggerall = StateType != A
triggerall = !inguarddist
triggerall = p2bodydist X >=  90+vel x*4-enemynear,vel x*4
triggerall = p2bodydist Y >= -80+vel y*4+enemynear,vel y*4
triggerall = Ctrl || ((stateno=52||stateno=100)&&animelem=1,>=1)
triggerall = numproj = 0
trigger1 = random<150
trigger1 = power >= 100
Trigger1 = p2statetype = C
value = 2000



;;---------------------------------------

[State -3]
type = ChangeState
triggerall = var(59) >= 3
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = p2bodydist X = [-10,100]
triggerall = p2stateno != [120,155]
trigger1 = power >= 3000
trigger1 = (stateno = 2201) && AnimElem >= 4
value = 3000

[State -3]
type = ChangeState
triggerall = var(59) >= 3
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = p2bodydist X = [-10,100]
triggerall = p2stateno != [120,155]
triggerall = stateno != 3200
trigger1 = power >= 1000
trigger1 = var(57) = [0,7]
trigger1 = (stateno = 2201) && AnimElem >= 4
value = 3200

[State -3]
type = ChangeState
triggerall = var(59) >= 3
triggerall = StateType != A
triggerall = RoundState = [1,2]
triggerall = p2bodydist X = [-10,60]
triggerall = p2stateno != [120,155]
triggerall = stateno != 3200
trigger1 = power >= 2000
trigger1 = var(57) = [7,37]
trigger1 = (stateno = 2201) && AnimElem >= 4
value = 3200

[State -3]
type = ChangeState
triggerall = var(59) >= 3
triggerall = StateType != A
triggerall = p2bodydist X = [-10,100]
triggerall = p2stateno != [120,155]
trigger1 = (stateno = 2201) && AnimElem >= 4
trigger1 = var(57) = [0,100]
value = 40

;======================================================================

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType != A
triggerall = p2bodydist X >= 120
triggerall = var(57) = [96,100]
trigger1 = (Stateno = 2000) && AnimElem >= 6
trigger2 = (Stateno = 2010) && AnimElem >= 13
value = 40

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType = A
triggerall = Ctrl
trigger1 = vel y < -60
trigger1 = power >= 100
trigger1 = random < 50
trigger1 = p2bodydist X = [110,180]
value = 2060

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = 2
triggerall = StateType = A
triggerall = Ctrl
trigger1 = vel y < -60
trigger1 = power >= 100
trigger1 = random < 50
trigger1 = p2bodydist X >= 180
value = 2050

;=============================================
;---------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = StateType != A
triggerall = (Stateno != 40)
triggerall = (P2StateNo != [120,158])
triggerall = movecontact
trigger1 = stateno = 420
trigger2 = stateno = 920
value = 40

;--------------------------------------------------------------------------------

[State -3, 󒆃_bV]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
triggerall = Ctrl = 1
triggerall = stateno != 110
triggerall = stateno != 112
triggerall = prevstateno != 110
triggerall = prevstateno != 112
Triggerall = Pos y > -140
trigger1 = p2bodydist X >= 90
trigger1 = Random <= 200
value = 110

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
triggerall = Ctrl = 1
triggerall = stateno != 110
triggerall = stateno != 112
triggerall = prevstateno != 110
triggerall = prevstateno != 112
Triggerall = Pos y > -140
trigger1 = p2bodydist X <= 160
trigger1 = Random <= 200
value = 112


;---------------------------------------------------------------------------
;Air States
;---------------------------------------------------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
triggerall = Ctrl = 1
trigger1 = (p2bodydist X = [-20,90])
trigger1 = (p2bodydist Y = [-20,50])
trigger1 = p2Movetype != H
value = 620

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
triggerall = Ctrl = 1
trigger1 = (p2bodydist X = [-10,90])
trigger1 = (p2bodydist Y = [-20,50])
trigger1 = p2Movetype != H
value = 620
;-----------------------------------------------------------------------
;Begin Air Combo
;----------------------------------------------------------------------

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
triggerall = Ctrl = 1
trigger1 = p2bodydist X = [-10,50]
trigger1 = p2Movetype = H
value = 601
;-------------------------------------------------------------------------
;air combo
;-------------------------------------------------------------------------
[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
trigger1 = movecontact && (stateno = 601)
value = 651

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
triggerall = p2bodydist Y < -15
trigger1 = movecontact && (stateno = 651)
value = 620

[State -3]
type = ChangeState
triggerall = var(59) >= 1
triggerall = RoundState = [1,2]
triggerall = StateType = A
trigger1 = movecontact && (stateno = 620)
trigger1 = movecontact && (stateno = 651)
value = 660

; XbV_ELbN()
[State -1,]
type = ChangeState
value = 2150
triggerall = var(59) >= 1
triggerall = roundstate = 2
triggerall = statetype = A
triggerall = p2bodydist Y >= -20
trigger1 = movecontact && (stateno = 651)

; XbV_ELbN()
[State -1,]
type = ChangeState
value = 2170
triggerall = var(59) >= 1
triggerall = roundstate = 2
triggerall = statetype = A
triggerall = p2bodydist Y < -20
trigger1 = movecontact && (stateno = 651)

-----------------------------------------
AI activation code by Winane
-----------------------------------------

[State -3, SetAI]
type = VarSet
triggerall = Alive && RoundState = 2
triggerall = IsHomeTeam && !IsHelper
trigger1 = TeamSide = 2
trigger2 = MatchNo > 1
var(59) = 3


